Reggie, 11.1.1999:
------------------
- Added undo/redo command for setting styles (pen, brush, line begin/end, garadients, etc.)
- All style settings are done using this command now
- Fixes when using some other commands

Reggie, 16.1.1999:
------------------
- Fix for avoiding warnings with egcs1.1.1
- Fix of a strangebug in KPresenterView::colorToPixString

Reggie, 19.1.1999:
------------------
- Hack to avoid this problem with the last inserted toolbar => last toolbar is on the correct place now from the beginning on
- Fixed (or worked around :-) the strange bug when saving embedded objects

Reggie, 21.1.1999:
------------------
- KPresenter doesn't eat all the CPU anymore after inserting some pages

Reggie, 25.1.1999:
------------------
- Another fix with embedded objects

Reggie, 30.1.1999:
------------------
- The units inch, mm and pt are now (really) supported for paper/slide width/height and page borders

Reggie, 31.1.1999:
------------------
- After playing a screen presentation it was not possible to actiavate embedded parts - I fixed that.

Reggie, 3.2.1999:
-----------------
- Some fixes and cleanups in the dialogs

Reggie, 7.2.1999:
-----------------
- Fixed strange problems when inserting pages in a presentation with embedded objects
- Added a small demo presentation with an embedded part (KSpread table)

Reggie, 28.1.1999:
------------------
- Optimized speed of moving objects in screenpresentations.
  Now this is much smoother than before (even on high resolutions)

Reggie, 2.3 - 6.3 1999:
-----------------------
- Porting to Qt 2.0 and lots of fixes for that

Reggie, 10.3.1999:
------------------
- Fixed focus problems

Reggie, 23.3.1999:
------------------
- Fix to avoid segfaults on exit when a textobject is activated

Reggie, 29.3.1999:
------------------
- Fixed a bug with drawing line begins and ends (arrows, circles, etc.)
  of quite thick lines - it's still not perfect but much better now.

Reggie, 2.4.1999:
-----------------
- KPresenter uses now keyCompression

Reggie, 6.4.1999:
-----------------
- Started with Drag'n'Drop:
  - If a picture is dropped into a KPresenter Page, a pixmap object
    with the dropped picture is inserted into the presentation
  - If a text is dropped into a KPresenter Page, a text object
    with the dropped text is inserted into the presentation
  - If a url (list of urls) is dropped into a KPresenter page,
    KPresenter tries to open the urls (image/* mimetypes are opened
    as pixmap objects, all others are opened as textobjects at the moment)

Reggie, 8.4.1999:
-----------------
- When saving text '>' and '<' are converted to &gt; and &lt;

Reggie, 9.4.1999:
-----------------
- Added a new effect for changes pages in screenpresentations
  (Now pages can fly away :-)

Reggie, 10.4.1999:
------------------
- Cleanups

Reggie, 12.4.1999:
------------------
- It's now possible to jump to a specific page during a screen presentation (e.g. if you
  want to skip some pages). Just enter [G] or select "Goto Page..." in the rmb menu
  during a screen presentation. Then it's possible to choose the page to which you want
  to jump.
- Added a menu entry to the screen presentation menu to be able to exit a screen presentation
  using this menu too
- rmb presentation menu is initialized correctly for presentations now
- Fixed a calculation bug in calculating the current page (happend in documents with lots of pages)

Reggie, 13.4.1999:
------------------
- Fixes

Reggie, 21.4.1999:
------------------
- Unicoded KPresenter and KTextObject (also load and save)
- Fixes in keycompression of KTextObject

Reggie, 26.4.1999:
------------------
- Using now the KCharSelect widget of libkdeui for the character selector dialog
- More work on unicode
- Corrected some stuff in the templates

Reggie, 27.4.1999:
------------------
- Some fixes in autoforms
- Added some new autoforms

Reggie, 28.4.1999:
------------------
- Fix with line begins and line ends

Reggie, 1.5.1999:
-----------------
- Using new template dialog
- Fix in autoformat choose dialog
- Started with implementation of HTML slideshow creation

Reggie, 2.5.1999:
-----------------
- Some fixes
- Finished implementation of HTML slideshow creation

Reggie, 3.5.1999:
-----------------
- Added PNG to filters when opening KFileDialog for opening a pic
- Fixes in pixmap loading

Reggie, 4.5.1999:
-----------------
- HTML Sideshow generation tries now to find titles for the slides
  with looking through the text objects of each slide itself
  (No "Slide_X" deafult titles anymore :-)
- Some cosmetic fixes in the HTML Slidshow generation dialogs

Reggie, 5.5.1999:
-----------------
- Started implementing footers and headers
- Fixed a mem leak

Reggie, 6.5.1999:
-----------------
- More work on headers and footers
- KTextObject knows now if it was modified

Reggie, 7.5.1999:
-----------------
- More work and headers and footers

Reggie, 8.5.1999:
-----------------
- More work and headers and footers

Reggie, 9.5.1999:
-----------------
- Implemented loading/saving headers and footers
- Headers/Footers are correctly drawn in screen presentations now

Reggie, 10.5.1999:
------------------
- More work on editing headers/footers
- Implemented "Extend contents to object height" feature for textobjects
  (this means the linespacing/paragraphspacing is set to values then,
   so that the text fills the whole object rectangle)

Reggie, 12.5.1999:
------------------
- DnD Fixes
- Implemented configuration of background and frame for headers and footers

Reggie, 13.5.1999:
------------------
- Implemented font/paragraph configuration in the footer/header editor

Reggie, 15.5.1999:
------------------
- Big code cleanups:
  - Using a better readable coding style
  - Lots of classes were derived from QObject but didn't
    make any use of that => these classes aren't derived from
    QObject anymore and no moc files are creaded for these
    classes anymore => faster compilation
  - Fixed includes (Only really neccessary headers are included in the .h files)
- Fixes for Unicode
- Some focus handling fixes
- Fix for loading pixmaps
- Fixed calcutaion of current page number

Reggie, 16.5.1999:
------------------
- More fixes for loading pixmaps
- Removed code in effectdia which was commented out
- Fixed setting pen and brush for pixmaps
  (of course a brush is only visible if the pixmap is transparent)
- Fixed selecting rotated objects
- Fixed some problems with toolbar icons
- Fixed bug reported by David:
   Insert a picture (F2), then change it on the hard disk, remove the picture from
   kpresenter, and try to insert it again : it gets cached, and the old one gets inserted.
- Removed some uselsess stuff
- Updated TODO file

Reggie, 17 - 19.5.1999:
-----------------------
- I completely rewrote the pixmap handling in KPresenter (finally got rid of some really ugly hacks):
  - Splitted KPPixmapCollection into two parts (KPPixmapCollection and KPPixmapDataCollection). Inserting
    pixmaps and lookups are faster now as I'm using QMaps. Also the code is much shorter
    and ref-counting finally works :-)
  - Loading/Changing pixmaps/background pixmaps is much faster, because there is no need anymore to convert
    a pixmap to an internal KPresenter pixmap format
  - Saving/Loading pixmaps in(to) documents is cleaner and faster now: I'm using the features of KoStore
  - Old presentations can be still opened (I added some convert-functions for compatibility)

I didn't test the new pixmap stuff a lot yet, so there may be some bugs in it. I'll do more
testing tomorrow...

- Fixed loading templates and loading docs using the template dialog (Also stores and embedded parts
  are loaded in these cases correctly)

- fix in saving pixmap key

Reggie, 20.5.1999:
------------------
- Fixed drawing background and borders Textobjects and embedded Partobjects
  (background and borders were not rotated when the object was rotated)

Reggie, 22 - 23.5.1999:
-----------------------
- Small fixes in the pixmap collection
- Implemented a clipart collection simlar to the pixmap collection
- Cliparts are now saved into KPresenter docments (using KoStore)
  (old docs can be still loaded)

Reggie, 26.5.1999:
------------------
- Started implementing the option to let objects disappear in screenpresentations: Configuration,
  Loading/Saving and Undo/Redo already works. I'll implement the disappearing (with effects of course :-)
  tomorrow...

Reggie, 28.5.1999:
------------------
- Some QStrList -> QStringList
- Some QList -> QValueList
  (no stuff like 'QList<int> lst; lst.append( new int( 3 ) );' needed anymore :-)
- Objects disappearing in screenpresentations works (ony without effects at the moment,
  but effects will come!)
- Creating webpresentations works again (API of QWizard changed a bit...)

Reggie, 30.5.1999:
------------------
- Setting linespacing, parag-dist (before and after) and depth is applied
  to all selected parags if there are selected some.
- First effects for disappearing objects are working (go to left, right, top and bottom)

Reggie, 31.5.1999:
------------------
- Fixes in effects for disappearing objs
- Implemented more effects for disappearing objs

Reggie, 1.6.1999:
-----------------
- Fix in saving pictures/cliparts inline

Reggie, 2.6.1999:
-----------------
- Implemented for Textobjects: Resize object to fit contents
  (How is this called in real english? :-)
- Started implementing "Copy page" - doesn't do anything yet...

Reggie, 5.6.1999:
-----------------
- KRect/KPoint/KSize -> QRect/QPoint/QSize
- Some source cleanups
- More work on copying pages

Reggie, 6.6.1999:
-----------------
- It's now possible to choose for screenpresentations, if
  - all slides should be shown
  - only the current slide should be shown (that's the slide/page which is the current one in edit mode
    at the moment)
  - selected ones should be shown (you can select them in a listview)
  All this configuration can be done in the page-config dialog (menu Screenpresentations).
  The second point (only current slide) is also convinient, when you are just creating/editing
  a presentation to view only the slide on which you currently are working for testing :-)

Reggie, 11.6.1999:
------------------
- Fixed saving pixmap collection (pixmaps which are
  only in the undo-buffer but not really used anymore
  are not saved)

Reggie, 12.6.1999:
------------------
- Implemented resizing objects with keeping constraints
  (when pressing Control while resizing)
- Fixes

Reggie, 15.6.1999:
------------------
- Pixmaps are now (if possible) saved in native format
  and not always in BMP => redruces file size if you
  use compressed image formats and keeps transparency
  e.g. for XPMs.

Reggie, 17.6.1999:
------------------
- tell dialogs about their parent, so that the window manager
  can do some optimations
- Tell QPopupMenus about their parent to avoid memory leaks
- Cleanups
- Fixes in dialog layouts


Reggie, 22.6.1999:
------------------
- Activating/Deactivating embedded parts works now
  (no crashes anymore :-)

Reggie, 23.6.1999:
------------------
- Don't flicker when resizing the page
- Optimized drawing background - produces much smaller PS output now

Reggie, 29.6.1999:
------------------
- Removed focus hacks

Reggie, 31.7.1999:
--------------
- Using better gradients and effects from KPixmapEffects
- Using the new and cool gradients in the demo
- KPresenter supports now unbalanced gradients too (thanx to KPixmapEffects!!!!)

Reggie, 2.8.1999:
-------------
- Swapped horizontal - vertical gradients back
- Using sliders in property dialog for configuration of unbalanced gradients too
- Switching unbalanced gradients on/off using a checkbox (not a radiobutton)
- Some gradient update fixes
- Some fixes
- Fixed gradients in headers/footers

Reggie, 14.8.1999:
------------------
- Fixed a segfault in the textobject
- Fixed random adding of spaces in the textobject
- Some other small textobject fixes
- Fixes with headers and footers
- Implemented gap for text objects
- Improved extending contents of a textobj to the object height
- Dont't forget current URL (filename) when inserting a new page

Reggie, 15.8.1999:
------------------
- When inserting a new page (template), don't change the page layout
- Fixes in textobject
- Fixes in headers/footers

Reggie, 16.8.1999:
------------------
- Started working on the new presentation structure viewer/editor

Reggie, 17.8.1999:
------------------
- Fixed cut/copy/paste for textobjs
- Fixed deleting regions in the textobject
- Fixed saving/loading gradients (esp. unbalanced)

Reggie, 20.8.1999:
------------------
- Improved speed of inserting new pages/slides
- Improved speed of pixmap handling

Reggie, 21.8.1999:
------------------
- Make backups before saving
- Fixed a bug in the pixmap handling
- reverted and fixed some stuff, which I broke yesterday
- Fixed some memleaks
- Added accelerators (CTRL+B, CTRL+I, CTRL+U) to switch
  bold, italic and underlined on and off in the textobj
  when editing it
- A bit more work on the presentation structure viewer/editor
- Another fix in the pixmap collection

Reggie, 22.8.1999:
------------------
- Some speed improvements
- Fixed some flicker
- When zooming for a screenpresentation zoom spacing-values of
  the textobject too
- A bit more work on the presentation structure viewer/editor
- Some fixes
- More presstructview

Reggie, 23.8.1999:
------------------
- fixes
- A bit more work on the presentation structure viewer/editor

Reggie, 26.8.1999:
------------------
- Cleanups
- Fixed calculating the needed size of a textobject
- Implemented "select All" in the textobject
- Implemented selecting a word in the textobject by
  doubleclicking on it
- lots of fixes in the textobject

Reggie, 27.8.1999:
------------------
- Improved DnD
- Removed lots of unused code in the KTextObject
- Fix in extending contents to height

Reggie, 29.8.1999:
------------------
- Set a better default font for textobj
- Fixes in textobj

Reggie, 30.8.1999:
------------------
- Fix in deleting regions in the textobj

Reggie, 4.9.1999:
-----------------
- Fixes in creating HTML slideshows
  (zooming works now)

Reggie, 12.9.1999:
------------------
- Some fixes for pixmaps and cliparts in new and old fileformat

Reggie, 13.9.1999:
------------------
- Saving/Loading pixmaps follows now the SPECS
- Saving/Loading cliparts follows now the new fileformat SPECS too

Reggie, 16.9.1999:
------------------
- It's possible now to assign an effect for screenpresentations
  to multiple objects at the same time if multiple objs are selected

Reggie, 15.10.1999:
---------------
- Fixed refcounting in collections => fixed some segfaults
- Some other small fixes

Reggie, 20.10.1999:
------------------
- Key_Escape exits edit mode of textobjects
- Some code cleanups
- Fixed splitting paragraphs in the KTextObject
- setiing textobj type (enumlist, bullet list, normal text) works now if
  you just select the textobject, no need to switch to edit mode (same
  for indents, etc.)

Reggie, 22.10.1999:
------------------
- Implemented copying&pasting whole pages/slides
  over the clipboard

Reggie, 23.10.1999:
------------------
- Rewrite background configuration dialog
- Some fixes

Reggie, 24.10.1999:
------------------
- Rewrote pen/brush (style) dialog
- Lots of fixes
- Started makeing KPresenter scriptable

Reggie, 27.10.1999:
------------------
- More scripting

Reggie, 2.11.1999:
------------------
- More work on grouping objects - still doesnīt work

Reggie, 3.11.1999:
------------------
- Grouping/Ungrouping objects works now. But donīt use it yet, because
  - Resizing groupobjects doesnīt work correctly
  - Saving/Loading them is not implemented
  (but this will work soon :-)

Reggie, 4.11.1999:
------------------
- Implemented Saving/Loading group objects

Reggie, 6.11.1999:
------------------
- Fixed some crashing code
- Improved presentation structure viewer a bit
- More fixes (mainly for scripting)

Reggie, 9.11.1999
-------------------
- Fixes and cleanups
- Loading/Saving embedded parts works finally

Reggie, 13.11.1999:
-------------------
- Implemented a menu item (in the extra menu) to be able to
  create a template from the current slide. Works currently only
  if the current slide is the first slide (page) at the moment - Iīll improve that
  tomorrow. Itīs also not well tested yet - will do that tomorrow
  too. Now it should be possible even for Matthias to create a template :-))
- The colorbar works now for textobjects too

Reggie, 14.11.1999:
-------------------
- Implemented inserting current pagenum into textobjects
  (the tag is \pn (or use the menu entry in the text menu for inserting that tag)
  Anyway, the thing is only a bad hack.... :-) - Needs some more testing, will do it later today
- Creating templates from other slides than the first one works now too
- Fixed focus problems in header/footer editor

Reggie, 17.11.1999:
-------------------
- Fixes

Reggie, 21-22.11.1999:
-------------------
- Fixed drawing frames of some objects
- Fixed drawiing frame + background of rotated cliparts
- Fix in resizing embedded parts
- Fix in setting cursor in page
- Replacing or deleting selected text in the txtobj works now correctly
  (cursor position is updated correctly)
- When pasting a page set the current page number as initial page number
  in the insert page dia

Reggie, 24.11.1999:
--------------------
- Key_Escape works now always for exitting the edit mode of a txt obj
- Key_Home and Key_End work now for txt objs

David, 24.11.1999:
------------------
- Ported to the new kofficecore API (especially KoDocument which uses KURL now)
- Fixed crash in kpresenter and kword, in setRootPart() on exit
- Fixed Unicode problems related to urls.

David, 28.11.1999:
------------------
- Added mkstandalone.sh
- Added handling for KoTemplateChooseDia's TempFile return type
- Changed Find to Ctrl+F, so that Ctrl+S for save works.
- Fixed bug when saving text with '>' or '<' (a space was added).

Simon, 28.11.1999:
------------------
- Added wheel mouse support

Reggie 5.12.1999:
------------------
- extend contents to txtobj height and resize txtobj to fit contents
  works now also if the txtobj is in edit mode

Reggie, 9.12.1999:
-----------------
- Only printable characters are inserted in the text obj
- CTRL + E works now - what todo with CTRL + A? It currently does
  select all, but it could also mean the same as pos1....
- Cleaned up TODO list
- Got rid of a warning
- CTRL + A == Home and ALT + A select all now

Reggie, 10.12.1999:
----------------
- If you insert a pixmap and it's larger than one page it's scaled
  down to fit the page keeing constraints

Reggie 12.12.1999:
-----------------
- When a header exists and a new page is inserted the header is not overwritten
  by the header of the new page (template), if no header already exists, the header
  of the template is used when inserting a new page. Same for footers.
- Added to rmb menu of pixmaps a point so that you can say: Scale pixmap
  so that it is shown 1:1 in presentation mode when the presentation is done in
  AxB resolution where you can choose A and B

Reggie, 21.12.1999:
---------------
- When deleting a page recalc page numbers in textobjs correctly
- When creating a template only save really used pixmaps

Reggie, 28.12.1999:
---------------
- Big speed improvement when inserting new slides into an already
  quite big presentation

Reggie, 2.1.2000:
--------------
- If there is nothing to copy to the clipboard, copy noting
